#!/bin/sh

# rjc - ts - script to prune audit tables

# **********VARIABLES THAT NEED TO BE CHANGED**********
# Modify for your environment, the password and the path to the WIP data server

dbPassword='Orion123'
sashome=/export/home/SAS/9.4/14w32/SASHome

# -------------------------------------------------------------------

# Optionally modify this
#    archiveAge - delete all archived audit entries older than this.
archiveAge=30

# In rare occasions you may need to change these to match your environment
#    dbPort - the port on which this SAS WIP Data Server listens.
#    dbUser - the user name for the SAS WIP Data Server.
dbPort=9432
dbUser=dbmsowner

# **********END OF VARIABLES THAT NEED TO BE CHANGED**********


#tables to prune ....
audtable=sas_audit
entrytable=sas_audit_entry
audArchive=sas_audit_archive
entryArchive=sas_audit_entry_archive

#set up environment
ppath=${sashome}/SASWebInfrastructurePlatformDataServer/9.4
export PGPASSWORD=${dbPassword}
export LD_LIBRARY_PATH=${ppath}/lib:$LD_LIBRARY_PATH
export PATH=${ppath}/bin:$PATH

# execute
echo Pruning tables:
echo "   user: $dbUser"
echo "   port: $dbPort"
echo "   this will *delete* archived audit records older than ... $archiveAge days old"
echo
read -rsp $'    Press any key to continue, ctrl-C to quit ...\n' -n1 key
echo

echo -n "    $entryArchive ... "
psql -p ${dbPort} -c "delete from ${entryArchive} a where a.audit_id in (select saa.audit_id from ${audArchive} saa where date_part('days',localtimestamp - timestamp_dttm) > ${archiveAge} );"  SharedServices ${dbUser}
echo -n "    $audArchive ......... "
psql -p ${dbPort} -c "delete from ${audArchive} where date_part('days',localtimestamp - timestamp_dttm) > ${archiveAge} ;"  SharedServices ${dbUser}
